# coding: utf-8

module Turn::Server
  class KV
    def initialize(hostname, port)
      @hostname = hostname
      @port = port
    end

    def disk_usage
      # ssh
      # df -h | grep kv-data
    end

    def cpu_info
      # ssh
      # cat /proc/cpuinfo | grep \'model name\' | uniq | cut -d\':\' -f2
    end

    def pair_count
      metrics = Turn::Term.new(@hostname, @port).dump_public_metrics('KeyValueStorePopulation')
      metrics.values.reduce { |a, e| a + e }
    end

    def agent_info
    end
  end
end
